/Users/bernard/b20/bsoft/include/Complex.h(3)

NAME
/Users/bernard/b20/bsoft/include/Complex.h - Class for complex numbers.

SYNOPSIS

#include <cmath>
#include <iostream>

  Classes
class Complex< Type >

  Functions
template<typename Type > ostream & operator<< (ostream &output, Complex< Type > &c)
template<typename Type > Complex< Type > operator * (const double d, Complex< Type > &c)
template<typename Type > Complex< Type > complex_unpack_combined_first (Complex< Type > c1, Complex< Type > c2)
template<typename Type > Complex< Type > complex_unpack_combined_second (Complex< Type > c1, Complex< Type > c2)

Detailed Description

Class for complex numbers.

Author:
    Bernard Heymann

Date:
    Created: 20050405 Modified: 20130618

Definition in file Complex.h.

Function Documentation

  template<typename Type > Complex<Type> complex_unpack_combined_first (Complex< Type > c1, Complex< Type > c2) [inline]

Definition at line 136 of file Complex.h.

  template<typename Type > Complex<Type> complex_unpack_combined_second (Complex< Type > c1, Complex< Type > c2) [inline]

Definition at line 142 of file Complex.h.

  template<typename Type > Complex<Type> operator * (const double d, Complex< Type > & c) [inline]

Definition at line 130 of file Complex.h.

  template<typename Type > ostream& operator<< (ostream & output, Complex< Type > & c)

Definition at line 122 of file Complex.h.

Author

Generated automatically by Doxygen for Bsoft from the source code.